# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Catalyst-Controller-ActionRole
Summary:        Apply roles to action instances
Version:        0.15
Release:        alt1_8
License:        GPL+ or Artistic
Group:          Development/Perl
Source0:        http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Catalyst-Controller-ActionRole-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Catalyst-Controller-ActionRole/
BuildArch:      noarch

BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(Catalyst/Action.pm)
BuildRequires:  perl(Catalyst/Action/REST.pm)
BuildRequires:  perl(Catalyst/Controller.pm)
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(Catalyst/Test.pm)
BuildRequires:  perl(Catalyst/Utils.pm)
BuildRequires:  perl(Class/MOP.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Moose/Meta/Class.pm)
BuildRequires:  perl(Moose/Role.pm)
BuildRequires:  perl(MooseX/Types/Moose.pm)
BuildRequires:  perl(namespace/clean.pm)
BuildRequires:  perl(parent.pm)
BuildRequires:  perl(String/RewritePrefix.pm)
BuildRequires:  perl(Test/More.pm)

Requires:       perl(Catalyst/Controller.pm)
Requires:       perl(Catalyst/Runtime.pm) >= 5.800.250
Requires:       perl(Class/MOP.pm) >= 0.80
Requires:       perl(Moose.pm) >= 0.90


%{?perl_default_subpackage_tests}
Source44: import.info

%description
This module allows to apply roles to the Catalyst::Actions for different
controller methods.

%prep
%setup -q -n Catalyst-Controller-ActionRole-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_8
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_7
- update to new release by fcimport

* Sat May 26 2012 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_5
- fc import

